Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.spring
Class Jsr181BeanPostProcessor

    java.lang.Object
      org.codehaus.xfire.spring.Jsr181BeanPostProcessor

All Implemented Interfaces:
  org.springframework.beans.factory.config.BeanPostProcessor

    public class Jsr181BeanPostProcessor

extends java.lang.Object
implements org.springframework.beans.factory.config.BeanPostProcessor

This BeanPostProcessor will create an XFire service from a service class if and only if it is marked with the JSR 181 @WebService attribute. This replaces the need for using the ServiceComponent class.

Author:
  Jason Carreira
See Also:
  `ServiceBean`

Constructor Summary
`Jsr181BeanPostProcessor(WebAnnotations annotations, AnnotationServiceFactory serviceFactory, ServiceRegistry registry)`

Method Summary
`java.lang.Object` | `postProcessAfterInitialization(java.lang.Object bean, java.lang.String beanName)`
`java.lang.Object` | `postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jsr181BeanPostProcessor

    public Jsr181BeanPostProcessor(WebAnnotations annotations,
                                   AnnotationServiceFactory serviceFactory,
                                   ServiceRegistry registry)

Method Detail

### postProcessBeforeInitialization

    public java.lang.Object postProcessBeforeInitialization(java.lang.Object bean,
                                                            java.lang.String beanName)
                                                     throws org.springframework.beans.BeansException

  Specified by:
    `postProcessBeforeInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`
  Throws:
    `org.springframework.beans.BeansException`

### postProcessAfterInitialization

    public java.lang.Object postProcessAfterInitialization(java.lang.Object bean,
                                                           java.lang.String beanName)
                                                    throws org.springframework.beans.BeansException

  Specified by:
    `postProcessAfterInitialization` in interface `org.springframework.beans.factory.config.BeanPostProcessor`
  Throws:
    `org.springframework.beans.BeansException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.